import * as monaco from 'monaco-editor';
import { IReference, ITextFileEditorModel } from 'vscode/monaco';
import './languages';
import './theme';
import './worker';
import { EditorOpenHandler } from './tools/EditorOpenHandlerRegistry';
declare const initializePromise: Promise<void>;
declare function createEditor(domElement: HTMLElement, options?: monaco.editor.IStandaloneEditorConstructionOptions): monaco.editor.IStandaloneCodeEditor;
declare function createModelReference(resource: monaco.Uri, content?: string): Promise<IReference<ITextFileEditorModel>>;
declare function registerEditorOpenHandler(handler: EditorOpenHandler): monaco.IDisposable;
export { initializePromise, createEditor, createModelReference, registerEditorOpenHandler };
